| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
randpkt_example Struct Reference

Defines a single random packet example type for the randpkt generator. More...

`#include <randpkt_core.h>`

## Public Attributes
const char * | abbrev
const char * | longname
int | produceable_type
int | sample_wtap_encap
uint8_t * | sample_buffer
int | sample_length
uint8_t * | pseudo_buffer
unsigned | pseudo_length
wtap_dumper * | dump
const char * | filename
unsigned | produce_max_bytes

## Detailed Description

Defines a single random packet example type for the randpkt generator.

## Member Data Documentation

## ◆ abbrev

const char* randpkt_example::abbrev

Short abbreviation identifying this example type (e.g. "dns", "tcp").

## ◆ dump

wtap_dumper* randpkt_example::dump

Handle to the wtap dumper used to write generated packets to file.

## ◆ filename

const char* randpkt_example::filename

Path to the output file where generated packets are written.

## ◆ longname

const char* randpkt_example::longname

Human-readable full name of this example type.

## ◆ produce_max_bytes

unsigned randpkt_example::produce_max_bytes

Maximum number of bytes to produce per generated packet.

## ◆ produceable_type

int randpkt_example::produceable_type

Encapsulation type used when producing packets for this example.

## ◆ pseudo_buffer

uint8_t* randpkt_example::pseudo_buffer

Pointer to the pseudo-header bytes prepended to the generated packet.

## ◆ pseudo_length

unsigned randpkt_example::pseudo_length

Length in bytes of the pseudo-header in `pseudo_buffer`.

## ◆ sample_buffer

uint8_t* randpkt_example::sample_buffer

Pointer to the raw bytes of the sample packet template.

## ◆ sample_length

int randpkt_example::sample_length

Length in bytes of the sample packet template in `sample_buffer`.

## ◆ sample_wtap_encap

int randpkt_example::sample_wtap_encap

wtap encapsulation type associated with this example's sample data.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/randpkt_core/randpkt_core.h